Run Autodream Scan
POST
/v1/admin/autodream/scans
const url = 'https://example.com/v1/admin/autodream/scans';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"tenant_id":"example","title":"Autodream Chronicle Scan","target_type":"semantic_graph","target_ref":"default","change_class":"standard","authority_scope":"/org/platform/roles/super_admin","jurisdiction":"global","data_class":"internal","risk_threshold":25,"trigger":"manual","autopilot":true,"auto_publish":true,"auto_verify":true,"payload":{}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/v1/admin/autodream/scans \ --header 'Content-Type: application/json' \ --data '{ "tenant_id": "example", "title": "Autodream Chronicle Scan", "target_type": "semantic_graph", "target_ref": "default", "change_class": "standard", "authority_scope": "/org/platform/roles/super_admin", "jurisdiction": "global", "data_class": "internal", "risk_threshold": 25, "trigger": "manual", "autopilot": true, "auto_publish": true, "auto_verify": true, "payload": {} }'Parameters
Section titled “Parameters”Header Parameters
Section titled “Header Parameters”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
AutodreamScanRequestIn
object
tenant_id
required
Tenant Id
string
title
Title
string
target_type
Target Type
string
target_ref
Target Ref
string
change_class
Change Class
string
authority_scope
Authority Scope
string
jurisdiction
Jurisdiction
string
data_class
Data Class
string
risk_threshold
Risk Threshold
integer
trigger
Trigger
string
autopilot
Autopilot
boolean
auto_publish
Auto Publish
boolean
auto_verify
Auto Verify
boolean
payload
Payload
object
key
additional properties
any
Responses
Section titled “Responses”Successful Response
Media typeapplication/json
AutodreamRunOut
object
created_at
required
Created At
string format: date-time
updated_at
required
Updated At
string format: date-time
id
required
Id
string
tenant_id
required
Tenant Id
string
run_key
required
Run Key
string
status
required
Status
string
trigger
required
Trigger
string
change_class
required
Change Class
string
authority_scope
required
Authority Scope
string
jurisdiction
required
Jurisdiction
string
data_class
required
Data Class
string
risk_threshold
required
Risk Threshold
integer
policy
Policy
object
key
additional properties
any
payload
Payload
object
key
additional properties
any
result
Result
object
key
additional properties
any
Examplegenerated
{ "created_at": "2026-04-15T12:00:00Z", "updated_at": "2026-04-15T12:00:00Z", "id": "example", "tenant_id": "example", "run_key": "example", "status": "example", "trigger": "example", "proposal_id": "example", "proposal_key": "example", "evidence_record_id": "example", "graph_name": "example", "change_class": "example", "authority_scope": "example", "jurisdiction": "example", "data_class": "example", "risk_threshold": 1, "policy": {}, "payload": {}, "result": {}}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}